Skip to main content
GET
/
csr
/
data
List cloud essages
curl --request GET \
  --url https://dashboard.hologram.io/api/1/csr/data \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "limit": 2,
  "size": 2,
  "continues": true,
  "links": {
    "path": "/api/1/csr/rdm/",
    "base": "staging.teamhologram.ninja",
    "next": "/api/1/csr/rdm/?limit=2&startafter=77430389"
  },
  "lastid": 77430389,
  "data": [
    {
      "id": 77430390,
      "logged": "2022-11-03 00:09:24",
      "expires": "2023-11-03 00:09:24",
      "orgid": 7391,
      "deviceid": 1827718,
      "record_id": "c5e2e5a8-5b0b-11ed-90a8-0242ac110003",
      "device_metadata": "{}",
      "data": "{\"authtype\": \"deviceid\", \"source\": 1827718, \"tags\": [\"_DATALIMIT_\", \"_DEVICE_1827718_\"], \"data\": \"eyJkZXZpY2VpZCI6MTgyNzcxOCwicGxhbl9hbW91bnQiOjAsIm92ZXJhZ2VfbGltaXQiOjE1MDAwLCJwbGFuaWQiOjIwMiwibXNnIjoiRGV2aWNlIDE4Mjc3MTggcGF1c2VkIGR1ZSB0byBkYXRhIGxpbWl0In0=\", \"received\": \"2022-11-03T00:09:23+00:00\", \"record_id\": \"c5e2e5a8-5b0b-11ed-90a8-0242ac110003\", \"device_id\": 1827718, \"device_name\": \"Unnamed Device (21680)\"}",
      "matched_rules": [],
      "tags": [
        "_DEVICE_1827718_",
        "_DATALIMIT_"
      ]
    },
    {
      "id": 77430389,
      "logged": "2022-11-03 00:09:15",
      "expires": "2023-11-03 00:09:15",
      "orgid": 48495,
      "deviceid": 1876148,
      "record_id": "c0855956-5b0b-11ed-90a8-0242ac110003",
      "device_metadata": "{}",
      "data": "{\"authtype\": \"deviceid\", \"source\": 1876148, \"tags\": [\"_DEVICE_1876148_\", \"_IMEI_FIRST_\"], \"data\": \"eyJuZXdfaW1laSI6ICIzNTI2NTYxMDkyMDcyNzciLCAibXNnIjogIkRldmljZSAxODc2MTQ4IGZpcnN0IGF0dGFjaCB3aXRoIDM1MjY1NjEwOTIwNzI3NyJ9\", \"received\": \"2022-11-02T22:41:29+00:00\", \"record_id\": \"c0855956-5b0b-11ed-90a8-0242ac110003\", \"device_id\": 1876148, \"device_name\": \"Unnamed Device (37872)\"}",
      "matched_rules": [],
      "tags": [
        "_IMEI_FIRST_",
        "_DEVICE_1876148_"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.hologram.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key.

You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

deviceid
integer
Example:

1363295

deviceids
string

Comma-separated list of device IDs.

Example:

"4020513,4020514"

limit
integer

Maximum number of items to return in a single request. For endpoints that support pagination, use this with corresponding /pages endpoints to manage large result sets.

Example:

50

orgid
integer
Example:

144

orgids
string

Comma-separated list of organization IDs.

Example:

"85366,85367"

id
integer
startafter
integer
Example:

102544

devicetagid
number
topicname
string
topicnames
string

Comma-separated list of topic names to filter by.

Example:

"topic1,topic2"

timestart
integer

Start of time range in Unix epoch seconds format.

Example:

1767225600

timeend
number

End of time range in Unix epoch seconds format.

Example:

1769821199

error
boolean
tagname
string

Name of a single tag.

Example:

"Chicago Loop"

Response

200 - application/json

OK

continues
boolean

Displays if there is another page of results.

Example:

true

data
object[]
limit
integer

The max number of items to return in a single response

Example:

10

Pagination navigation links for fetching additional pages of results

size
integer

The number of values returned

Example:

216

success
boolean

Whether the request was successful or not

Example:

true